XmLGridDeleteAllColumns(3X)

NAME
XmLGridDeleteAllColumns - delete all columns of a given type

SYNTAX
void XmLGridDeleteAllColumns(widget, type)
Widget widget;
unsigned char type;

ARGUMENTS

widget
    Grid widget ID

type
    type of column

DESCRIPTION
Deletes all columns of the given type. The Grid will call its XmNdeleteCallback callbacks for each column and cell deleted. If possible, the focus will remain in the column which had focus prior to the deletion of columns. If the cell which has focus is in one of the columns deleted, the Grid's XmNcellFocusCallback callbacks will be called with a reason of XmCR_CELL_FOCUS_OUT before that column is deleted. If a cell in one of the columns is currently being edited, the Grid's XmNeditCallback callbacks will be called with a reason of XmCR_EDIT_CANCEL before that column is deleted.

SEE ALSO
XmLGrid(3X) XmLGridDeleteColumns(3X) XmLGridDeleteAllRows(3X)